A airootfs/root/.bash_profile => airootfs/root/.bash_profile +1 -0
@@ 0,0 1,1 @@
+./automated_install.sh
A airootfs/root/.new_system/boot/loader/entries/arch.conf => airootfs/root/.new_system/boot/loader/entries/arch.conf +4 -0
@@ 0,0 1,4 @@
+title Arch Linux
+linux /vmlinuz-linux
+initrd /initramfs-linux.img
+options rw quiet loglevel=2
A airootfs/root/.new_system/etc/hostname => airootfs/root/.new_system/etc/hostname +1 -0
@@ 0,0 1,1 @@
+JacksonChen666-speedrun
A airootfs/root/.new_system/etc/hosts => airootfs/root/.new_system/etc/hosts +4 -0
@@ 0,0 1,4 @@
+# Static table lookup for hostnames.
+# See hosts(5) for details.
+127.0.0.1 localhost
+::1 localhost
A airootfs/root/.new_system/etc/mkinitcpio.conf => airootfs/root/.new_system/etc/mkinitcpio.conf +67 -0
@@ 0,0 1,67 @@
+# vim:set ft=sh
+# MODULES
+# The following modules are loaded before any boot hooks are
+# run. Advanced users may wish to specify all system modules
+# in this array. For instance:
+# MODULES=(piix ide_disk reiserfs)
+MODULES=()
+
+# BINARIES
+# This setting includes any additional binaries a given user may
+# wish into the CPIO image. This is run last, so it may be used to
+# override the actual binaries included by a given hook
+# BINARIES are dependency parsed, so you may safely ignore libraries
+BINARIES=()
+
+# FILES
+# This setting is similar to BINARIES above, however, files are added
+# as-is and are not parsed in any way. This is useful for config files.
+FILES=()
+
+# HOOKS
+# This is the most important setting in this file. The HOOKS control the
+# modules and scripts added to the image, and what happens at boot time.
+# Order is important, and it is recommended that you do not change the
+# order in which HOOKS are added. Run 'mkinitcpio -H <hook name>' for
+# help on a given hook.
+# 'base' is _required_ unless you know precisely what you are doing.
+# 'udev' is _required_ in order to automatically load modules
+# 'filesystems' is _required_ unless you specify your fs modules in MODULES
+# Examples:
+## This setup specifies all modules in the MODULES setting above.
+## No raid, lvm2, or encrypted root is needed.
+# HOOKS=(base)
+#
+## This setup will autodetect all modules for your system and should
+## work as a sane default
+# HOOKS=(base udev autodetect block filesystems)
+#
+## This setup will generate a 'full' image which supports most systems.
+## No autodetection is done.
+# HOOKS=(base udev block filesystems)
+#
+## This setup assembles a pata mdadm array with an encrypted root FS.
+## Note: See 'mkinitcpio -H mdadm' for more information on raid devices.
+# HOOKS=(base udev block mdadm encrypt filesystems)
+#
+## This setup loads an lvm2 volume group on a usb device.
+# HOOKS=(base udev block lvm2 filesystems)
+#
+## NOTE: If you have /usr on a separate partition, you MUST include the
+# usr, fsck and shutdown hooks.
+HOOKS=(base systemd autodetect block filesystems)
+
+# COMPRESSION
+# Use this to compress the initramfs image. By default, zstd compression
+# is used. Use 'cat' to create an uncompressed image.
+COMPRESSION="zstd"
+#COMPRESSION="gzip"
+#COMPRESSION="bzip2"
+#COMPRESSION="lzma"
+#COMPRESSION="xz"
+#COMPRESSION="lzop"
+#COMPRESSION="lz4"
+
+# COMPRESSION_OPTIONS
+# Additional options for the compressor
+COMPRESSION_OPTIONS=('-1')
A airootfs/root/.new_system/etc/motd => airootfs/root/.new_system/etc/motd +5 -0
@@ 0,0 1,5 @@
+[0;32mSpeedrun [0;36mISO[0;0m made by [0;31mJacksonChen666[0;0m on [0;31mhttps:///JacksonChen666.com[0;0m
+[5;7;31mdon't try to steal my video lol[0;0m (yes you can steal the [0;36mISO[0;0m)
+
+[0;31mThis [0;36mISO[0;31m is not designed for general use after install.[0;0m
+Below should be the [0;32mstartup time[0;0m, if it's the installed system.
A airootfs/root/.new_system/etc/skel/.bashrc => airootfs/root/.new_system/etc/skel/.bashrc +1 -0
@@ 0,0 1,1 @@
+systemd-analyze
A airootfs/root/.new_system/etc/systemd/system/getty@tty1.service.d/autologin.conf => airootfs/root/.new_system/etc/systemd/system/getty@tty1.service.d/autologin.conf +6 -0
@@ 0,0 1,6 @@
+#
+# SPDX-License-Identifier: GPL-3.0-or-later
+
+[Service]
+ExecStart=
+ExecStart=-/sbin/agetty --autologin root --noclear %I 38400 linux
A airootfs/root/.new_system/root/.bash_profile => airootfs/root/.new_system/root/.bash_profile +1 -0
@@ 0,0 1,1 @@
+systemd-analyze
A airootfs/root/.packages_refresher.sh => airootfs/root/.packages_refresher.sh +11 -0
@@ 0,0 1,11 @@
+#!/bin/bash
+# This exists so I don't have to waste time on holding left click and highlighting text and pasting and include extra stuff.
+# If the script fails at the end, add update-grub and entrance-git (AUR) manually
+set -ev
+cd "$(dirname "$0")"
+mkdir .packages || true
+cd .packages
+rm offline* || true
+mkdir /tmp/blankdb > /dev/null || true
+sudo pacman -Syw --cachedir . --dbpath /tmp/blankdb --noconfirm base linux
+repo-add ./offline.db.tar.gz *